> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an analytical plan



## OpenAPI

````yaml patch /consumers/{consumer_id}/spend_management/analytical-plans/{analytical_plan_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/spend_management/analytical-plans/{analytical_plan_id}:
    patch:
      tags:
        - Spend Management
        - AnalyticalPlans
      summary: Update an analytical plan
      operationId: spend_management_update_analytical_plan
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: analytical_plan_id
          in: path
          required: true
          schema:
            type: string
            title: Analytical Plan Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnalyticPlanItemIn'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnalyticPlanItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              examples:
                ERROR_ANALYTICAL_PLAN_NOT_FOUND:
                  value:
                    message: The analytical plan doesn't exist.
                    status: error
                    error_code: ERROR_ANALYTICAL_PLAN_NOT_FOUND
                ERROR_ANALYTICAL_PLAN_NOT_FOUND_2:
                  value:
                    message: The analytical plan '${analytical_plan_id}' doesn't exist.
                    status: error
                    error_code: ERROR_ANALYTICAL_PLAN_NOT_FOUND
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - spend_management
            - spend_management.analytical_plans
            - '900'
            - 900.analytical_plans
components:
  schemas:
    AnalyticPlanItemIn:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
          description: >-
            Name of the analytic plan as it will appear in the accounting
            system.
      type: object
      required:
        - name
      title: AnalyticPlanItemIn
    AnalyticPlanItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique id of the analytic plan instance in the accounting system.
        name:
          type: string
          title: Name
          description: Name of the analytic plan as it appears in the accounting system.
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Indicates if the analytic plan is active.
          default: true
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
          description: >-
            Id of the parent analytic plan, if any. This is used to create a
            hierarchy of analytic plans when that is supported.
      type: object
      required:
        - id
        - name
      title: AnalyticPlanItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.